Name:           py3c
Version:        1.4
Release:        %mkrel 3
Summary:        Python compatibility headers
Group:          Development/Python
License:        MIT and CC-BY-SA-3.0
URL:            https://py3c.readthedocs.io/
Source0:        https://github.com/encukou/py3c/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(sphinx)

%description
py3c helps you port C extensions to Python 3. It provides a detailed guide, and
a set of macros to make porting easy and reduce boilerplate.

%prep
%autosetup -p1

%build
# build docs
make doc
# build leftovers
rm -rf doc/build/html/.buildinfo

%install
%__make install prefix=%{buildroot}%{_prefix}

# remove buildroot definition
sed -i -e 's,%{buildroot},,g' %{buildroot}%{_datadir}/pkgconfig/py3c.pc

%files
%license LICENSE.MIT
%license doc/LICENSE.CC-BY-SA-3.0
%doc README.rst
%doc doc/build/html
%{_datadir}/pkgconfig/py3c.pc
%{_includedir}/py3c.h
%{_includedir}/py3c/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.4-3.mga10
+ Revision: 2212535
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 1.4-2.mga9
+ Revision: 1832548
- Mageia 9 Mass Rebuild

* Sat Nov 13 2021 wally <wally> 1.4-1.mga9
+ Revision: 1756076
- new version 1.4

* Fri Jun 25 2021 wally <wally> 1.3.1-1.mga9
+ Revision: 1732179
- new version 1.3.1

* Sun Dec 06 2020 wally <wally> 1.3-1.mga8
+ Revision: 1653410
- new version 1.3

* Sun May 10 2020 wally <wally> 1.1-1.mga8
+ Revision: 1582664
- imported package py3c

